# VtqBufferWriter Class

Namespace: `ArchestrA.Toolkit`

The VtqBufferWriter class provides an assortment of AddVtq overloads, one of which is called multiple times to build a buffer of VTQs. The GetBuffer method is then called to retrieve the buffer.

**Syntax**

```csharp
public class VtqBufferWriter : IDisposable
```

## VtqBufferWriter Constructor

## VtqBufferWriter Methods

### AddVtq Method

VtqBufferWriter method for Boolean data type

**Syntax**

```csharp
public void AddVtq(bool value, DateTime dt, CMxDataQuality quality);
```

**Parameters**

**`value`**

[in] Boolean value to be added into VtqBufferWriter

**`dt`**

[in] Timestamp of the value

**`quality`**

[in] Quality of the value

### GetBuffer Method

Call GetBuffer to retrieve the accumulated buffer from the VtqBufferWriter. The buffer is returned as a custom structure contained in a CMxValue. Calling GetBuffer empties the buffer in the underlying buffer writer.

**Syntax**

```csharp
public CMxValue GetBuffer();
```
